
***CRCB***


***previous file with variable definitions in spss: 'locgov_2015_sps_160630.sps'.
*The database contains the data of 'onk_2015_international' research project, made by CRCB.
*This .do file shows how we execute our calculations.
*Created by  Eszter Purczeld, Hajnalka Katona & Istvan Janos Toth.
*Head of research: Istvan Janos Toth.
*Date: June 30th, 2016.


tab country
gen gb=0
replace gb=1 if country==1
gen fr=0
replace fr=1 if country==2
gen hu=0
replace hu=1 if country==3


*personal information
histogram info1, discrete frequency by(country)
graph export info1.png
*Q81c: Megtallhat-e a polgrmester e-mail cme?
hist q81c, by(country)
graph export q81c.png
*Q81d: Megtallhat-e a polgrmestertelefonszma?
hist q81d, by(country)
graph export q81d.png
*Q81e: Megtallhat-e a polgrmester fogadrja?
hist q81e, by(country)
graph export q81e.png



*financial data
histogram info2, discrete frequency by(country)
graph export info2.png
*Q16: Elrhet-e a honlapon a pezugyi/koltsegvetesi/gazdlkodsi informci?
histogram q16, discrete frequency by(country)
graph export q16.png
*Q17: Letlthetok-e a 16. krdsbeli bizottsgok jegyzknyvei? 
hist q17, by(country)
graph export q17.png
*Q20: Van-e arrl adat, hogy a 16. krds bel bizottsgi lsek zrtak vagy nyitotak voltak?
hist q20, by(country)
graph export q20.png
*Q21: Elterjesztsek elrhetek-e?
*pnzgyi bizottsgoknl?
histogram q21a, discrete frequency by(country)
graph export q21a.png
*Q30: Kltsgvets ksztinek neve megtallhat-e?
hist q30, by(country)
graph export q30.png
*Q31: Kltsgvetsi kimutats elrheto-e a honlapon?
hist q31, by(country)
graph export q31.png
*Q25: Kltsgvetsre vonatkoz informcik elrhetek-e?
histogram q25, discrete frequency by(country)
graph export q25.png
*Q35: Pnzgyi jelents elrhet-e a honlapon?
hist q35, by(country)
graph export q35.png
*Q40: Tmogatsrl van-e szerzds?
hist q40, by(country)
graph export q40.png
*Q41: nkormnyzattal kttt szerzds van-e?
hist q41, by(country)
graph export q41.png


*public procurement data
histogram info4, discrete frequency by(country)
graph export info4.png
*Q41: Kzbeszerzsekrl szl informci van-e?
hist q42, by(country)
graph export q42.png


* Overall features of the site
* Q5a: Van-e a honlapon oldaltrkp?
hist q5a, by(country)
graph export q5a.png
*Q5b: Van-e a honlapon keresosmotor?
tab q5b country, col chi2
hist q5b, by(country)
graph export q5b.png
*Q5c: Van-e a honlapon akadlymentests
tab q5c country, col chi2
hist q5c, by(country)
graph export q5c.png
*Q5d: Van-e a honlapon lehetQsg kzvetlen kapcsolatfelvtelre?.
tab q5d country, col chi2
hist q5d, by(country)
graph export q5d.png
*Q5e: Vlemnykifejezsre van-e lehetsg?
tab q5e country, col chi2
hist q5e, by(country)
graph export q5e.png


* Work in the commissions of local government
*Q81g: Megtallhat-e a delegl prt vagy szervezet?
hist q81g, by(country)
graph export q81g.png
*Q81i: Megtallhat-e a polgrmesterlseken val jelenlte?
hist q81i, by(country)
graph export q81i.png
*Q81j: Megtallhat-e a polgrmester javadalmazsa?
hist q81j, by(country)
graph export q81j.png
*Q10: Elrhet-e a honlapon az nkormnyzat e-mail cme?
hist q10, by(country)
graph export q10.png
*Q11: Elrhet-e a honlapon az nkormnyzat telefonszma?
hist q11, by(country)
graph export q11.png
*Q12a: Elrhet-e a honlapon a kvetkez testleti ls idpontja?
hist q12a, by(country)
graph export q12a.png
*Q12b: Elrhet-e a honlapon a kvetkez testleti ls napirendje?
hist q12b, by(country)
graph export q12b.png
*ElQterjesztsek kpvisel testletnl
hist q21b, by(country)
graph export q21b.png
*Q23: elrheto-e az lsek anyaga hang vagy video formtumban?
hist q23, by(country)
graph export q23.png


*Responsability
histogram info3, discrete frequency by(country)
graph export info3.png

*data analysis*

histogram info1, discrete frequency
graph export info1.png
histogram info1, discrete frequency by(country)
graph export info1_c.png

histogram info2, discrete frequency
graph export info2.png
histogram info2, discrete frequency by(country)
graph export info2_c.png

histogram q16, discrete frequency by(country)
graph export q16_c.png

histogram q21a, discrete frequency by(country)
graph export q21a_c.png

histogram q25, discrete frequency by(country)
graph export q25_c.png

histogram info4, discrete frequency
graph export info4.png
histogram info4, discrete frequency by(country)
graph export info4_c.png

histogram info3, discrete frequency
graph export info3.png
histogram info3, discrete frequency by(country)
graph export info3_c.png

histogram info_, discrete frequency
graph export info_.png
histogram infox_, discrete frequency
graph export infox_.png

pwcorr info_ gb fr hu, sig
pwcorr infox_ gb fr hu, sig

*analysis of all information: info_ and infox_

reg info1  gb hu fr lnpop, robust
reg info2  gb hu fr lnpop, robust
reg info3  gb hu fr lnpop, robust
reg info_  gb hu fr lnpop, robust
reg infox_ gb hu fr lnpop, robust

***boxplots***.

graph box info3 , over (country)
graph export info3_box.png
graph box infox_ , over (country)
graph export infox_box.png
